Package com.collabnet.ce.soap60.types

# Class SoapFieldValues

java.lang.Object
com.collabnet.ce.soap60.types.SoapFieldValues

public class SoapFieldValues extends Object
Represents Field values for SOAP. For multi-select fields, the name is repeated for each value set. For example, for a multi-select field named days_of_week where MWF are set, getNames() returns {"days_of_week", "days_of_week", "days_of_week"} and getValues() returns {"Monday", "Wednesday", "Friday"} }.

This object differs from a regular SoapNamedValues in that it contains an explicit "type"

Since:
  4.3-SP1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoapFieldValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Equals for comparisons
  `String[]`
  `getNames()`
  Returns array of names.
  `String[]`
  `getTypes()`
  Get the type array.
  `Object[]`
  `getValues()`
  Returns array of values.
  `int`
  `hashCode()`
  Use parent hashcode
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  Register this SOAP type for Axis.
  `void`
  `setNames(String[] names)`
  Sets array of names.
  `void`
  `setTypes(String[] types)`
  Set types of the values of TrackerFieldSoapDO.
  `void`
  `setValues(Object[] values)`
  Sets array of values.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoapFieldValues

    public SoapFieldValues()

- ## Method Details

  - ### getNames

    public String[] getNames()
    Returns array of names.
    Returns:
      Name array.

  - ### setNames

    public void setNames(String[] names)
    Sets array of names.
    Parameters:
      `names` - Name array.

  - ### setTypes

    public void setTypes(String[] types)
    Set types of the values of TrackerFieldSoapDO. Note that FIELD_VALUE_TYPE_INTEGER is not supported here, since it is not supported in flexfields.
    Parameters:
      `types` - the value for the type
    See Also:
      - `TrackerFieldSoapDO.FIELD_VALUE_TYPE_STRING`
      - `TrackerFieldSoapDO.FIELD_VALUE_TYPE_DATE`
      - `TrackerFieldSoapDO.FIELD_VALUE_TYPE_USER`

  - ### getTypes

    public String[] getTypes()
    Get the type array.
    Returns:
      returns the types

  - ### getValues

    public Object[] getValues()
    Returns array of values.
    Returns:
      Value array.

  - ### setValues

    public void setValues(Object[] values)
    Sets array of values.
    Parameters:
      `values` - Value arrays.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)
    Register this SOAP type for Axis.
    Parameters:
      `call` - Axis call object.

  - ### equals

    public boolean equals(Object o)
    Equals for comparisons
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Compare to object
    Returns:
      Equals or not

  - ### hashCode

    public int hashCode()
    Use parent hashcode
    Overrides:
      `hashCode` in class `Object`
    Returns:
      Hashcode of parent